"use strict";
const common_vendor = require("../../../common/vendor.js");
require("../../../common/libraries/request.js");
require("../../../common/store/useWatermarkStore.js");
const common_store_useWeAppAuthStore = require("../../../common/store/useWeAppAuthStore.js");
require("../../../common/store/useWorkStore.js");
const pages_public_asset_houses_method = require("./method.js");
const pages_public_asset_houses_model = require("./model.js");
require("../../../gen/Apis.js");
require("../../../common/libraries/apiLoading.js");
require("../../../common/libraries/naviHelper.js");
require("../../../common/libraries/userUserLogin.js");
if (!Array) {
  const _easycom_u_search2 = common_vendor.resolveComponent("u-search");
  _easycom_u_search2();
}
const _easycom_u_search = () => "../../../node-modules/uview-plus/components/u-search/u-search.js";
if (!Math) {
  (_easycom_u_search + MyMeHouseItem + MyMeProjectItem)();
}
const MyMeHouseItem = () => "./components/MeHouseItem.js";
const MyMeProjectItem = () => "./components/MeProjectItem.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    common_store_useWeAppAuthStore.useWeAppAuthStore();
    common_vendor.onLoad((e) => {
      var _a;
      pages_public_asset_houses_model.useModel.dataList.value = [];
      pages_public_asset_houses_model.useModel.selectType.value = e == null ? void 0 : e.type;
      (_a = pages_public_asset_houses_method.method) == null ? void 0 : _a.handleLoadMore(1);
    });
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f, _g, _h, _i;
      return common_vendor.e({
        a: common_vendor.o((_a = common_vendor.unref(pages_public_asset_houses_method.method)) == null ? void 0 : _a.onSearch),
        b: common_vendor.o(($event) => common_vendor.unref(pages_public_asset_houses_model.useModel).formData.value.name = $event),
        c: common_vendor.p({
          placeholder: "请输入关键词搜索",
          showAction: false,
          modelValue: common_vendor.unref(pages_public_asset_houses_model.useModel).formData.value.name
        }),
        d: ((_c = (_b = common_vendor.unref(pages_public_asset_houses_model.useModel)) == null ? void 0 : _b.selectType) == null ? void 0 : _c.value) === "work_add"
      }, ((_e = (_d = common_vendor.unref(pages_public_asset_houses_model.useModel)) == null ? void 0 : _d.selectType) == null ? void 0 : _e.value) === "work_add" ? {} : {}, {
        e: ((_g = (_f = common_vendor.unref(pages_public_asset_houses_model.useModel)) == null ? void 0 : _f.selectType) == null ? void 0 : _g.value) === "meter"
      }, ((_i = (_h = common_vendor.unref(pages_public_asset_houses_model.useModel)) == null ? void 0 : _h.selectType) == null ? void 0 : _i.value) === "meter" ? {} : {});
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/pages/public/asset_houses/index.vue"]]);
wx.createPage(MiniProgramPage);
